Bug 1128978 (CVE-2014-5269) - CVE-2014-5269 perl-Plack: trailing slashes removed leading to source code disclosure
Summary: CVE-2014-5269 perl-Plack: trailing slashes removed leading to source code dis...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-5269
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130528,repor...
Depends On: 1128980 1128979
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 02:43 UTC by Murray McAllister
Modified: 2019-06-08 20:08 UTC (History)
4 users (show)

Fixed In Version: Plack 1.0031
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:18 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-08-12 02:43:39 UTC
Plack 1.0031 fixes the following security issue:

- Plack::App::File would previously strip trailing slashes off
provided paths. This in combination with the common pattern
of serving files with Plack::Middleware::Static could allow
an attacker to bypass a whitelist of generated files (avar) #446

Upstream fix:

https://github.com/avar/Plack/commit/bc1731dbb53850c380875ad683cd87c8ec99eee3

References:

https://github.com/plack/Plack/issues/405
http://seclists.org/oss-sec/2014/q3/345

Comment 1 Murray McAllister 2014-08-12 02:45:34 UTC
Created perl-Plack tracking bugs for this issue:

Affects: fedora-all [bug 1128979]
Affects: epel-7 [bug 1128980]

Comment 2 Murray McAllister 2014-08-18 02:54:55 UTC
MITRE assigned CVE-2014-5269 to this issue:

http://seclists.org/oss-sec/2014/q3/384

Comment 3 Fedora Update System 2014-08-28 15:30:35 UTC
perl-Plack-1.0031-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-08-28 15:33:50 UTC
perl-Plack-1.0031-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:34:18 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.